"use strict";
// ******************************************************************************************************
//  SelectionPopup.tsx - Gbtc
//
//  Copyright © 2021, Grid Protection Alliance.  All Rights Reserved.
//
//  Licensed to the Grid Protection Alliance (GPA) under one or more contributor license agreements. See
//  the NOTICE file distributed with this work for additional information regarding copyright ownership.
//  The GPA licenses this file to you under the MIT License (MIT), the "License"; you may not use this
//  file except in compliance with the License. You may obtain a copy of the License at:
//
//      http://opensource.org/licenses/MIT
//
//  Unless agreed to in writing, the subject software distributed under the License is distributed on an
//  "AS-IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. Refer to the
//  License for the specific language governing permissions and limitations.
//
//  Code Modification History:
//  ----------------------------------------------------------------------------------------------------
//  12/19/2021 - C. Lackner
//       Generated original version of source code.
// ******************************************************************************************************
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultSelects = void 0;
var React = require("react");
var StandardSelectPopup_1 = require("./StandardSelectPopup");
var SearchBar_1 = require("./SearchBar");
/** This Implements a few standardized Selection Popups */
var DefaultSelects;
(function (DefaultSelects) {
    /** This Implements a standard Meter Selection Modal */
    function Meter(props) {
        return React.createElement(StandardSelectPopup_1.default, __assign({}, props, { Searchbar: function (children) { return React.createElement(SearchBar_1.DefaultSearch.Meter, { Slice: props.Slice, GetAddlFields: props.GetAddlFields, GetEnum: props.GetEnum, StorageID: props.StorageID, AddlFilters: props.AddlFilters }, children); } }),
            " ",
            props.children,
            " ");
    }
    DefaultSelects.Meter = Meter;
    /** This Implements a standard Substation Selection Modal */
    function Location(props) {
        return React.createElement(StandardSelectPopup_1.default, __assign({}, props, { Searchbar: function (children) { return React.createElement(SearchBar_1.DefaultSearch.Location, { Slice: props.Slice, GetAddlFields: props.GetAddlFields, GetEnum: props.GetEnum, StorageID: props.StorageID, AddlFilters: props.AddlFilters }, children); } }),
            " ",
            props.children,
            " ");
    }
    DefaultSelects.Location = Location;
    /** This Implements a standard Transmission Asset Selection Modal */
    function Asset(props) {
        return React.createElement(StandardSelectPopup_1.default, __assign({}, props, { Searchbar: function (children) { return React.createElement(SearchBar_1.DefaultSearch.Asset, { Slice: props.Slice, GetAddlFields: props.GetAddlFields, GetEnum: props.GetEnum, StorageID: props.StorageID, AddlFilters: props.AddlFilters }, children); } }),
            " ",
            props.children,
            " ");
    }
    DefaultSelects.Asset = Asset;
    /** This Implements a standard Asset Group Selection Modal */
    function AssetGroup(props) {
        return React.createElement(StandardSelectPopup_1.default, __assign({}, props, { Searchbar: function (children) { return React.createElement(SearchBar_1.DefaultSearch.AssetGroup, { Slice: props.Slice, GetAddlFields: props.GetAddlFields, GetEnum: props.GetEnum, StorageID: props.StorageID, AddlFilters: props.AddlFilters }, children); } }),
            " ",
            props.children,
            " ");
    }
    DefaultSelects.AssetGroup = AssetGroup;
    /** This Implements a standard User Selection Modal */
    function User(props) {
        return React.createElement(StandardSelectPopup_1.default, __assign({}, props, { Searchbar: function (children) { return React.createElement(SearchBar_1.DefaultSearch.User, { Slice: props.Slice, GetAddlFields: props.GetAddlFields, GetEnum: props.GetEnum, StorageID: props.StorageID, AddlFilters: props.AddlFilters }, children); } }),
            " ",
            props.children,
            " ");
    }
    DefaultSelects.User = User;
    /** This Implements a standard Customer Selection Modal */
    function Customer(props) {
        return React.createElement(StandardSelectPopup_1.default, __assign({}, props, { Searchbar: function (children) { return React.createElement(SearchBar_1.DefaultSearch.Customer, { Slice: props.Slice, GetAddlFields: props.GetAddlFields, GetEnum: props.GetEnum, StorageID: props.StorageID, AddlFilters: props.AddlFilters }, children); } }),
            " ",
            props.children,
            " ");
    }
    DefaultSelects.Customer = Customer;
})(DefaultSelects = exports.DefaultSelects || (exports.DefaultSelects = {}));
