/// <reference types="react" />
import { SystemCenter } from '@gpa-gemstone/application-typings';
import { IAdditionalFieldSlice, IGenericSlice } from '../SliceInterfaces';
interface IField {
    FieldName: string;
    Type: string;
}
interface IValue {
    Value: string | number;
    ID: number;
}
interface IProps<Field extends IField, Value extends IValue> {
    Id: string | number;
    AdditionalFieldSlice: IAdditionalFieldSlice<Field, Value>;
    ValueListItemSlice: IGenericSlice<SystemCenter.Types.ValueListItem>;
    ValueListGroupSlice: IGenericSlice<SystemCenter.Types.ValueListGroup>;
    EmptyField: Field;
    GetFieldValueIndex: (field: Field, values: Value[]) => number;
    GetFieldIndex: (value: Value, fields: Field[]) => number;
    FieldKeySelector: (field: Field) => string;
    ValidateField: (field: Field) => string[];
    CreateValue: (field: Field) => Value;
    FieldUI: (field: Field, setField: (field: Field) => void) => JSX.Element;
}
declare function AdditionalField<Field extends IField, Value extends IValue>(props: IProps<Field, Value>): JSX.Element;
export default AdditionalField;
